- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QMetaProperty Class Reference

Search for all occurrences

## Detailed Description

Definition at line 173 of file qmetaobject.h.

`#include <qmetaobject.h>`

List of all members.

## Public Member Functions
| QMetaProperty ()
const char * | name () const
const char * | typeName () const
QVariant::Type | type () const
int | userType () const
int | propertyIndex () const
bool | isReadable () const
bool | isWritable () const
bool | isResettable () const
bool | isDesignable (const QObject *obj=0) const
bool | isScriptable (const QObject *obj=0) const
bool | isStored (const QObject *obj=0) const
bool | isEditable (const QObject *obj=0) const
bool | isUser (const QObject *obj=0) const
bool | isConstant () const
bool | isFinal () const
bool | isFlagType () const
bool | isEnumType () const
QMetaEnum | enumerator () const
bool | hasNotifySignal () const
QMetaMethod | notifySignal () const
int | notifySignalIndex () const
QVariant | read (const QObject *obj) const
bool | write (QObject *obj, const QVariant &value) const
bool | reset (QObject *obj) const
bool | hasStdCppSet () const
bool | isValid () const
const QMetaObject * | enclosingMetaObject () const
## Friends
struct | QMetaObject

## Constructor & Destructor Documentation

QMetaProperty | ( |  | ) |

## Member Function Documentation

const char* name | ( |  | ) | const

Search for all occurrences

const char* typeName | ( |  | ) | const

Search for all occurrences

QVariant::Type type | ( |  | ) | const

Search for all occurrences

int userType | ( |  | ) | const

Search for all occurrences

int propertyIndex | ( |  | ) | const

Search for all occurrences

bool isReadable | ( |  | ) | const

Search for all occurrences

bool isWritable | ( |  | ) | const

Search for all occurrences

bool isResettable | ( |  | ) | const

Search for all occurrences

bool isDesignable | ( | const QObject * | obj = `0` | ) | const

Search for all occurrences

bool isScriptable | ( | const QObject * | obj = `0` | ) | const

Search for all occurrences

bool isStored | ( | const QObject * | obj = `0` | ) | const

Search for all occurrences

bool isEditable | ( | const QObject * | obj = `0` | ) | const

Search for all occurrences

bool isUser | ( | const QObject * | obj = `0` | ) | const

Search for all occurrences

bool isConstant | ( |  | ) | const

Search for all occurrences

bool isFinal | ( |  | ) | const

Search for all occurrences

bool isFlagType | ( |  | ) | const

Search for all occurrences

bool isEnumType | ( |  | ) | const

Search for all occurrences

QMetaEnum enumerator | ( |  | ) | const

Search for all occurrences

bool hasNotifySignal | ( |  | ) | const

Search for all occurrences

QMetaMethod notifySignal | ( |  | ) | const

Search for all occurrences

int notifySignalIndex | ( |  | ) | const

Search for all occurrences

QVariant read | ( | const QObject * | obj | ) | const

Search for all occurrences

bool write | ( | QObject * | obj,
|  | const QVariant & | value
| ) |  | const

Search for all occurrences

bool reset | ( | QObject * | obj | ) | const

Search for all occurrences

bool hasStdCppSet | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 208 of file qmetaobject.h.

    { return isReadable(); }

const QMetaObject* enclosingMetaObject | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 209 of file qmetaobject.h.

    { return mobj; }

## Friends And Related Function Documentation

friend struct QMetaObject `[friend]`

Search for all occurrences

Definition at line 216 of file qmetaobject.h.

The documentation for this class was generated from the following file:

- QtCore/qmetaobject.h

QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty
QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty QMetaProperty